Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.telnet
Class WindowSizeOptionHandler

    java.lang.Object
      org.apache.commons.net.telnet.TelnetOptionHandler
          org.apache.commons.net.telnet.WindowSizeOptionHandler

    public class WindowSizeOptionHandler

extends TelnetOptionHandler

Implements the telnet window size option RFC 1073.

Since:
  2.0
Version:
  $Id: WindowSizeOptionHandler.java 1299238 2012-03-10 17:12:28Z sebb $
Author:
  Yuval Kashtan

Field Summary
`protected static int` | `WINDOW_SIZE` Window size option

Constructor Summary
`WindowSizeOptionHandler(int nWidth, int nHeight)` Constructor for the WindowSizeOptionHandler.
`WindowSizeOptionHandler(int nWidth, int nHeight, boolean initlocal, boolean initremote, boolean acceptlocal, boolean acceptremote)` Constructor for the WindowSizeOptionHandler.

Method Summary
`int[]` | `answerSubnegotiation(int[] suboptionData, int suboptionLength)` Implements the abstract method of TelnetOptionHandler.
`int[]` | `startSubnegotiationLocal()` Implements the abstract method of TelnetOptionHandler.
`int[]` | `startSubnegotiationRemote()` Implements the abstract method of TelnetOptionHandler.

Methods inherited from class org.apache.commons.net.telnet.TelnetOptionHandler
`getAcceptLocal, getAcceptRemote, getInitLocal, getInitRemote, getOptionCode, setAcceptLocal, setAcceptRemote, setInitLocal, setInitRemote`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WINDOW_SIZE

    protected static final int WINDOW_SIZE

  Window size option

  See Also:
    Constant Field Values

Constructor Detail

### WindowSizeOptionHandler

    public WindowSizeOptionHandler(int nWidth,
                                   int nHeight,
                                   boolean initlocal,
                                   boolean initremote,
                                   boolean acceptlocal,
                                   boolean acceptremote)

  Constructor for the WindowSizeOptionHandler. Allows defining desired initial setting for local/remote activation of this option and behaviour in case a local/remote activation request for this option is received.

  Parameters:
    `nWidth` - - Window width.
    `nHeight` - - Window Height
    `initlocal` - - if set to true, a WILL is sent upon connection.
    `initremote` - - if set to true, a DO is sent upon connection.
    `acceptlocal` - - if set to true, any DO request is accepted.
    `acceptremote` - - if set to true, any WILL request is accepted.

### WindowSizeOptionHandler

    public WindowSizeOptionHandler(int nWidth,
                                   int nHeight)

  Constructor for the WindowSizeOptionHandler. Initial and accept behaviour flags are set to false

  Parameters:
    `nWidth` - - Window width.
    `nHeight` - - Window Height

Method Detail

### answerSubnegotiation

    public int[] answerSubnegotiation(int[] suboptionData,
                                      int suboptionLength)

  Implements the abstract method of TelnetOptionHandler.

  Specified by:
    `answerSubnegotiation` in class `TelnetOptionHandler`
  Parameters:
    `suboptionData` - - the sequence received, whithout IAC SB & IAC SE
    `suboptionLength` - - the length of data in suboption_data

  Returns:
    terminal type information

### startSubnegotiationLocal

    public int[] startSubnegotiationLocal()

  Implements the abstract method of TelnetOptionHandler. This will send the client Height and Width to the server.

  Specified by:
    `startSubnegotiationLocal` in class `TelnetOptionHandler`
  Returns:
    array to send to remote system

### startSubnegotiationRemote

    public int[] startSubnegotiationRemote()

  Implements the abstract method of TelnetOptionHandler.

  Specified by:
    `startSubnegotiationRemote` in class `TelnetOptionHandler`
  Returns:
    always null (no response to subnegotiation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.